/createReservation

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Description:

This functionality allows you to start a ticket reservation. It’s possible to reserve multiple tickets in one call / reservation.

HMAC calculation
Base64 encode - SHA256 (apiKey + environment + ticketDate + ticketTime + tickets + userId)

  • Sort the sign data alphabetical ascending, you can also find the sequence on the concerned API specification page.

Please note: optional fields only needs to be included when an optional field is used.

Body Params
string
required

Your public apiKey needs to be included in every request.

string
enum
required

"test" or "production"

Allowed:
int32
required

The userId is a reference to the user (museum / attraction). The userId can be requested via getAvailableUsers and can be cached in your application.

tickets
array of int32s
required

{"ticketTypeId":1001,"ticketNumber":2}

tickets*
int32

"ticketTypeid":123

string

"ticketNumber":2

date
required

The ticket date must comply with the yyyy-mm-dd format.

date-time

(optional) 24 hours format (hh:mm), this field is optional based on the user.

string
required

The HMACKey is calculated based on the input fields.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json